DOMSA: going from 2.4.9-31 to 2.4.18-18

Shaw, Marco Marco.Shaw at aliant.ca
Sun Mar 9 09:50:00 CST 2003


I'm sorry, you are running 2.4.18-18?  If you installed/built DOMSA on that system, while that kernel version was running, then you'd have an esm module compiled for 2.4.18-18.  If you've upgraded your kernel after having installed DOMSA, then I'd be surprised your stuff was still running...

Marco

> -----Original Message-----
> From: Mansell, Gary [mailto:GRMansell at ricardo.com] 
> Sent: Sunday, March 09, 2003 11:45 AM
> To: Matt Domsch; Shaw, Marco
> Cc: linux-poweredge at dell.com
> Subject: RE: DOMSA: going from 2.4.9-31 to 2.4.18-18
> 
> 
> I am running this config - How do I check which version of 
> esm that I am running?
> 
> 
> Gary Mansell
> Senior Technical Analyst
> IT Department
> Ricardo Consulting Engineers Ltd.
> 
> 
> 
> -----Original Message-----
> From: Matt Domsch [mailto:Matt_Domsch at dell.com]
> Sent: 08 March 2003 13:40
> To: Shaw, Marco
> Cc: 'linux-poweredge at dell.com'
> Subject: Re: DOMSA: going from 2.4.9-31 to 2.4.18-18
> 
> 
> On Sat, 8 Mar 2003, Shaw, Marco wrote:
> 
> > On a Linux system with DOMSA (I think 1.2.0) installed, 
> does one need 
> > to take any more action other than just replacing the esm.o 
> module to 
> > go from 2.4.9-31 to 2.4.18-18, or other upgrades in general?
> 
> The rebuild of esm.o will fail with that version of OMSA 
> unless you change 
> the #include<linux/malloc.h> to #include<linux/slab.h> in one 
> of the shim 
> files.  OMSA 1.3.0.C fixes this, and is recommended.  It's on 
> support.dell.com, or direct via FTP (see notes in the last 
> couple weeks in 
> the archives.)
> 
> Also, please be sure if you've got a PowerEdge 2650 that you 
> upgrade the 
> ESM firmware to v2.0.
> 
> Thanks,
> Matt
> 
> -- 
> Matt Domsch
> Sr. Software Engineer, Lead Engineer, Architect
> Dell Linux Solutions www.dell.com/linux
> Linux on Dell mailing lists @ http://lists.us.dell.com
> 
> 
> _______________________________________________
> Linux-PowerEdge mailing list
> Linux-PowerEdge at dell.com 
> http://lists.us.dell.com/mailman/listinfo/linu> x-poweredge
> 
> Please read the FAQ at 
> http://lists.us.dell.com/faq or search the list archives at 
http://lists.us.dell.com/htdig/




More information about the Linux-PowerEdge mailing list